<?php

namespace Litecms\Member;

use User;

class Member
{
    /**
     * $member object.
     */
    protected $member;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Member\Interfaces\MemberRepositoryInterface $member)
    {
        $this->member = $member;
    }

    /**
     * Returns count of member.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.member.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->member->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\MemberUserCriteria());
        }

        $member = $this->member->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('member::' . $view, compact('member'))->render();
    }
}
