<?php

namespace Litecms\Member\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MemberTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Member\Models\Member $member)
    {
        return [
            'id'                => $member->getRouteKey(),
            'key'               => [
                'public'    => $member->getPublicKey(),
                'route'     => $member->getRouteKey(),
            ], 
            'name'              => $member->name,
            'designation'       => $member->designation,
            'address'           => $member->address,
            'url'               => [
                'public'    => trans_url('member/'.$member->getPublicKey()),
                'user'      => guard_url('member/member/'.$member->getRouteKey()),
            ], 
            'status'            => trans('app.'.$member->status),
            'created_at'        => format_date($member->created_at),
            'updated_at'        => format_date($member->updated_at),
        ];
    }
}